Retrieve Stats for current Infrastructure Provider

View as Markdown

Retrieve stats for current Infrastructure Provider.

User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Response

OK
machineobject
Machine status counts for the Infrastructure Provider
ipBlockobject
IP Block status counts for the Infrastructure Provider
tenantAccountobject
Tenant Account status counts for the Infrastructure Provider

Errors

403
Forbidden Error